%define patchSet0 20060404

Name:		corkscrew
Summary:	Tool for tunneling SSH through HTTP proxies
Version:	2.0
Release:	%mkrel 19
License:	GPLv2
Url:		https://www.agroman.net/%{name}
Group:		Networking/Other
Source0:	https://www.agroman.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.%{patchSet0}-manpage.patch
Patch1:		%{name}-%{version}.%{patchSet0}-firstpacket.patch
Patch2:		corkscrew-2.0-automake.patch

%description
Corkscrew is a tool for tunneling SSH through HTTP proxies.

%prep
%setup
%patch -P 0 -p1 -b .manpage
%patch -P 1 -p1 -b .firstpacket
%patch -P 2 -p1 -b .automake

# Fix some bad references in the man pages
perl -pi -e 's|/usr/local/bin|%{_bindir}|g;' corkscrew.1 README

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

# man page
install -Dpm 644 corkscrew.1 %{buildroot}%{_mandir}/man1/corkscrew.1

%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 2.0-19.mga10
+ Revision: 2127154
- Rebuild for patchN deprecation

* Mon Mar 14 2022 umeabot <umeabot> 2.0-18.mga9
+ Revision: 1791672
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.0-17.mga8
+ Revision: 1511468
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.0-16.mga7
+ Revision: 1296803
- Mageia 7 Mass Rebuild

* Sun Jan 31 2016 umeabot <umeabot> 2.0-15.mga6
+ Revision: 929564
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-14.mga5
+ Revision: 743925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-13.mga5
+ Revision: 678547
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-12.mga4
+ Revision: 503491
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.0-11.mga3
+ Revision: 348176
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 2.0-10.mga3
+ Revision: 336578
- fix build with new automake 1.13

* Tue Dec 25 2012 wally <wally> 2.0-9.mga3
+ Revision: 335011
- add patch to fix build with new automake
- clean .spec

* Thu Dec 01 2011 blino <blino> 2.0-8.mga2
+ Revision: 174661
- uncompress patches
- imported package corkscrew

